summaryrefslogtreecommitdiffstats
path: root/scripts/install-https
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/install-https')
-rwxr-xr-xscripts/install-https8
1 files changed, 3 insertions, 5 deletions
diff --git a/scripts/install-https b/scripts/install-https
index e6daeea..75fd816 100755
--- a/scripts/install-https
+++ b/scripts/install-https
@@ -42,13 +42,11 @@ op_test ()
is_readable "$C" || exit 3
# Encrypt something, then decrypt again and compare
local TEST_IN=$(mktemp --tmpdir bwlp-XXXXXXXX)
- local TEST_OUT=$(mktemp --tmpdir bwlp-XXXXXXXX)
[ -z "$TEST_IN" ] && exit 4
- [ -z "$TEST_OUT" ] && exit 5
- tmpfiles+=( "$TEST_IN" "$TEST_OUT" )
+ tmpfiles+=( "$TEST_IN" )
date > "$TEST_IN"
- openssl smime -sign -in "$TEST_IN" -out "$TEST_OUT" -signer "$C" -inkey "$K" || exit 7
- openssl smime -verify -noverify -in "$TEST_OUT" -out /dev/null -signer "$C" || exit 8
+ # Try to sign something - output doesn't matter, this is only to check if cert and key match
+ openssl smime -sign -in "$TEST_IN" -out /dev/null -signer "$C" -inkey "$K" || exit 7
exit 0 # No restart either way
}